import { OnInit, OnChanges, EventEmitter, ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { LabelService } from "../service/label.service";
import { Label } from "../service/interface";
import { ErrorHandler } from "../error-handler/error-handler";
import { Subject } from "rxjs/Subject";
export interface LabelState {
    iconsShow: boolean;
    label: Label;
    show: boolean;
}
export declare class FilterLabelComponent implements OnInit, OnChanges {
    private labelService;
    private ref;
    private errorHandler;
    openFilterLabelPanel: boolean;
    labelLists: LabelState[];
    filterLabelName: string;
    labelNameFilter: Subject<string>;
    isOpen: boolean;
    projectId: number;
    selectedLabelInfo: Label[];
    selectedLabels: EventEmitter<LabelState[]>;
    closePanelEvent: EventEmitter<{}>;
    constructor(labelService: LabelService, ref: ChangeDetectorRef, errorHandler: ErrorHandler);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getGLabels(): Promise<void>;
    getPLabels(): Promise<void>;
    handleInputFilter(): void;
    selectLabel(labelInfo: LabelState): void;
    selectOper(labelInfo: LabelState, isClick?: boolean): void;
    unSelectOper(labelInfo: LabelState, isClick?: boolean): void;
    sortOperation(labelList: LabelState[], labelInfo: LabelState): void;
    closeFilter(): void;
}
